### Namespace

# Spelling – 1

A GNOME library for spellchecking

Version | 0.4.10
Authors | Christian Hergert
License | LGPL-2.1-or-later
Website | https://gitlab.gnome.org/GNOME/libspelling/
Source | https://gitlab.gnome.org/GNOME/libspelling/

#### Build

C headers | `libspelling.h`
pkg-config files | `libspelling-1`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Overview
- Classes Hierarchy

#### Classes

Checker | `SpellingChecker` is the core class of libspelling. It provides high-level APIs for spellchecking.
Dictionary | Abstract base class for spellchecking dictionaries.
Language | Represents a spellchecking language.
Provider | Abstract base class for spellchecking providers.
TextBufferAdapter | `SpellingTextBufferAdapter` implements helpers to easily add spellchecking capabilities to a `GtkSourceBuffer`.

#### Functions

init | Call this function before using any other libspelling functions in your applications. It will initialize everything needed to operate the library.

#### Function Macros

DEPRECATED_FOR |
DEPRECATED_IN_1_0_FOR |
UNAVAILABLE |